@import '~/src/themes.scss';
@import '~/node_modules/@sat-mtl/ui-components/assets/themes/themify.utils.scss';

// default font-size 16 (default browser) --> 1rem = 16px;

html, body {
  margin: 0;
  padding: 0;
  font-size: 100%;
  color: #ffffff;
  background-color: #131313;

  width: 100%;
  height: 100%;
  overflow-x: hidden;
  box-sizing: border-box;

  /* Hide scrollbar for Chrome, Safari and Opera */
  &::-webkit-scrollbar {
  display: none;
  }

  /* Hide scrollbar for IE, Edge and Firefox */
  & {
  -ms-overflow-style: none;  /* IE and Edge */
  scrollbar-width: none;  /* Firefox */
  }
}

#PageLayout {
  background-color: #131313;
  width: 75%;
  height: 100vh;
  margin: 0 auto;

  display: grid;
  grid-template-rows: 2.5rem auto;
  row-gap: 0.5rem;
  grid-template-areas:
    "header"
    "main";

  header {
    grid-area: header;
    align-self: center;

    .Header {
      display: flex;
      justify-content: flex-start;
      box-shadow: 0px 1px 0px #545454;
    }

    h3 {
      margin: 1rem 0 0.5rem 1rem;
    }
  }

  main {
   display: flex;
   column-gap: 2rem;
   .Pages {
     padding: 1rem;
   }
   form {
    margin: auto;
   }
  }
}

#VersionSection {
  position: absolute;
  top: 92%;
  left: 2%;
}

@include themify('Page', $themes) {
  &#PageLayout {
    font-family: themed('font-family');
    color: themed('font-color');
    background-color: themed('neutral-background');
  }
}
